html, body {
	height: 100%;
	margin: 0;
}

#snow-container {
  height: 300px;
}

.global-fs-content {
  font-size:14px;
}

.col-form-label-lg {
	padding-top: 2px !important;
	padding-bottom: 0px !important;
	margin-bottom: 6px !important;
	font-size: 0.875rem;
}

.hideoverflow {
	white-space: nowrap;
	overflow:hidden;
	text-overflow: ellipsis;
}

.hideoverflowClip {
	white-space: nowrap;
	overflow:hidden;
	text-overflow: clip;
}

.algLabel {
	padding-top: calc(0.75rem + 0px);
}

#title-error {
	color: red;
}

.notification-icon-box {
	width: 50px;
	height: 50px;
	border: 1px solid grey;
	border-radius: 10px;
	display: flex;
	justify-content: center;
	align-items: center;
}

.notification-badge {
	position: absolute;
	top: -5px;
	right: -5px;
	width: 12px;
	height: 12px;
	background-color: red;
	border-radius: 50%;
	border: 1px solid white;
}



/* Participant UI */
.ptcp-profile-circle {
	width: 40px;
	height: 40px;
	background-color: #0C023E; /* Green background */
	color: white;
	border-radius: 50%;
	display: flex;
	align-items: center;
	justify-content: center;
	font-size: 18px;
	position: relative;
	text-transform: uppercase;
}

.ptcp-checkmark-overlay {
	width: 16px;
	height: 16px;
	background-color: white;
	border-radius: 50%;
	display: flex;
	align-items: center;
	justify-content: center;
	position: absolute;
	bottom: 0;
	right: 0;
	border: 2px solid white; /* Border to make the overlay stand out */
}

.checkmark-overlay i {
	font-size: 8px;
	color: #4CAF50; /* Green checkmark */
}

.ptcp-text-container {
	margin-left: 10px;
}

.ptcp-title {
	font-size: 16px;
	font-weight: 500;
}

.ptcp-subtitle {
	font-size: 12px;
	color: gray;
}



.custom-link {
	color: #3498db;
	text-decoration: underline;
}

.custom-link:hover {
	color: blue; /* Optional hover effect */
}

.hideoverflowtwoline {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2; /* Limit to 2 lines */
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: normal; /* Allows wrapping */
}

.text-button {
	background: none;
	border: none;
	padding: 0;
	color: inherit;
	font: inherit;
	outline: none;
	cursor: pointer;
	text-decoration: none;
}

.room-container {
	position: relative;
	display: inline-block;
}

.room-container:hover {
	background-color: #f4f4f4; /* Light grey background on hover */
}

.room-info {
	top: 100%;
	right: 0;
	position: absolute;
	width: 250px;
	background: white;
	/* border: 1px solid #ddd; */
	padding: 10px;
	border-radius: 5px;
	/* box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2); */
	display: none;
	z-index: 10;
}

.room-info-left {
	top: 100%;
	left: 0;
	position: absolute;
	width: 250px;
	background: white;
	/* border: 1px solid #ddd; */
	padding: 10px;
	border-radius: 5px;
	/* box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2); */
	display: none;
	z-index: 10;
}

.room-container:hover .room-info {
	display: block;
}

.room-container:hover .room-info-left {
	display: block;
}

/* New modifier: display tooltip above */
.room-info.top {
	bottom: 100%;
	top: auto;
  }

/* Event Tags */
.event-tag {
	display: inline-block;
	padding: 0.35em 0.65em;
	font-size: 0.75em;
	font-weight: 600;
	border-radius: 0.5rem;
	margin-right: 0.5rem;
	margin-bottom: 0.5rem;
}